.\"	$NetBSD: curses_insertch.3,v 1.3 2003/04/16 13:35:01 wiz Exp $
.\"
.\" Copyright (c) 2002
.\"	Brett Lymn (blymn@NetBSD.org, brett_lymn@yahoo.com.au)
.\"
.\" This code is donated to the NetBSD Foundation by the Author.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the Author may not be used to endorse or promote
.\"    products derived from this software without specific prior written
.\"    permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"
.Dd February 5, 2006
.Dt CURSES_INSERTCH 3
.Os
.Sh NAME
.Nm curses_insert ,
.Nm insch ,
.Nm winsch ,
.Nm mvinsch ,
.Nm mvwinsch
.Nd curses insert characters routines
.Sh LIBRARY
.Lb libcurses
.Sh SYNOPSIS
.In curses.h
.Ft int
.Fn insch "chtype ch"
.Ft int
.Fn winsch "WINDOW *win" "chtype ch"
.Ft int
.Fn mvinsch "int y" "int x" "chtype ch"
.Ft int
.Fn mvwinsch "WINDOW *win" "int y" "int x" "chtype ch"
.Sh DESCRIPTION
These functions insert characters on
.Dv stdscr
or on the specified window.
.Pp
The
.Fn insch
function inserts the character given in
.Fa ch
at the current cursor position on
.Dv stdscr .
The cursor is not advanced and wrapping is not performed.
.Pp
The
.Fn winsch
function is the same as the
.Fn insch
function, excepting that the character is inserted on the window specified by
.Fa win .
.Pp
The
.Fn mvinsch
and
.Fn mvwinsch
functions are the same as the
.Fn insch
and
.Fn insch
functions, respectively, excepting that
.Fn wmove
is called to move the cursor to the position specified by
.Fa y ,
.Fa x
before the character is inserted on the window.
.Sh RETURN VALUES
Functions returning pointers will return
.Dv NULL
if an error is detected.
The functions that return an int will return one of the following
values:
.Pp
.Bl -tag -width ERR -compact
.It Er OK
The function completed successfully.
.It Er ERR
An error occurred in the function.
.El
.Sh SEE ALSO
.Xr curses_addch 3 ,
.Xr curses_cursor 3 ,
.Xr curses_delch 3
.Sh STANDARDS
The
.Nx
Curses library complies with the X/Open Curses specification, part of
the Single Unix Specification.
.Sh HISTORY
The Curses package appeared in
.Bx 4.0 .
